import { JWTPayload } from 'jose';
export declare class Cryptrack {
    private readonly _curve;
    private readonly _keys;
    private readonly _store;
    constructor();
    getPublicKey(): string;
    register(id: string, publicKeyHex: string): Promise<void>;
    getKey(id: string): CryptoKey;
    encrypt(id: string, plaintext: string): Promise<string>;
    decrypt(id: string, encrypted: string): Promise<string>;
    signToken(id: string, payload: Record<string, any>, expires?: string): Promise<string>;
    verifyToken(token: string): Promise<{
        id: string;
        payload: JWTPayload;
    }>;
}
